| Home | Libraries | People | FAQ | More

##### insert(rtree<...> &, Value const &)

Insert a value to the index.

###### Description

It calls `rtree::insert(value_type const&)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    void insert(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree, Value const & v)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`Value const &` | `v` | The value which will be stored in the index.